Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.processor
Interface InterceptingMessageProcessor

All Superinterfaces:
  MessageProcessor, MessageSource

All Known Subinterfaces:
  Interceptor, RequestReplyReplierMessageProcessor, RequestReplyRequesterMessageProcessor

All Known Implementing Classes:
  AbstractAggregator, AbstractAsyncRequestReplyRequester, AbstractCorrelationAggregator, AbstractEnvelopeInterceptor, AbstractFilteringMessageProcessor, AbstractInterceptingMessageProcessor, AbstractMessageProcessorChain, AbstractResponseMessageProcessor, AbstractSplitter, AsyncInterceptingMessageProcessor, BankQuotesInboundAggregator, BankQuotesResponseAggregator, CollectionSplitter, CxfInboundMessageProcessor, CxfOutboundMessageProcessor, DefaultMessageProcessorChain, ExceptionHandlingMessageProcessor, ExpressionSplitter, FeedSplitter, FeedSplitter, FlowConfiguringMessageProcessor, ForwardingConsumer, IdempotentMessageFilter, IdempotentSecureHashMessageFilter, InterceptingChainLifecycleWrapper, InterceptorStack, LoggingInterceptor, MessageChunkAggregator, MessageChunkSplitter, MessageFilter, OptionalAsyncInterceptingMessageProcessor, OutboundResponsePropertiesMessageProcessor, OutboundTxRollbackMessageProcessor, ProcessIfStartedMessageProcessor, ProcessIfStartedWaitIfPausedMessageProcessor, ProcessIfStartedWaitIfSyncPausedMessageProcessor, ProcessingTimeInterceptor, ReplyToPropertyRequestReplyReplier, Resequencer, ResponseMessageProcessorAdapter, SecurityFilterMessageProcessor, SedaStageInterceptingMessageProcessor, ServiceAsyncRequestReplyRequestor, ServiceInternalMessageProcessor, ServiceOutboundMessageProcessor, SimpleAsyncRequestReplyRequester, SimpleCollectionAggregator, SimpleRequestReplyReplier, StopFurtherMessageProcessingMessageProcessor, TimerInterceptor, TransactionalInterceptingMessageProcessor

    public interface InterceptingMessageProcessor

extends MessageProcessor, MessageSource

Processes `MuleEvent`'s intercepting another listener `MessageProcessor`. It is the InterceptingMessageProcessor's responsibility to invoke the next `MessageProcessor`.

Although not normal, it is valid for the listener MessageProcessor to be null and implementations should handle this case.

Since:
  3.0

Method Summary

Methods inherited from interface org.mule.api.processor.MessageProcessor
`process`

Methods inherited from interface org.mule.api.source.MessageSource
`setListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.